/*
 * shohaku Copyright (C) 2005 tomoya nagatani
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package shohaku.core.collections;

import java.util.Map;

import shohaku.core.collections.wrapper.WrappedMap;

/**
 * <code>Map</code> インタフェースのユーティリティメソッドを提供します。
 */
public class MapUtils {

    /**
     * マップ型にラッピングしたマップを返却します。 実装型に固有の機能へのアクセスを制限します。
     * 
     * @param map
     *            ラップするマップ
     * @return 実装をラッピングしたマップ
     */
    public static Map wrappedMap(Map map) {
        return new WrappedMap(map);
    }

}
